%define distrib UPLOS
%define version 2018
%define rel 1
%define distname UPLOS
%define distsuffix uplos
%define distribution UPLOS

%define product_vendor UPLOS
%define product_distribution %distribution
%define product_type Basic
%define product_version %version
%define product_branch Stable
%define product_release 2018
%define product_arch %{_target_cpu}
%define product_product Free

%define product_id vendor=%product_vendor,distribution=%product_distribution,type=%product_type,version=%product_version,branch=%product_branch,release=%product_release,arch=%product_arch,product=%product_product

#Maintain backwards compatibility here
%define mandriva_release %version
%define mandriva_branch %distrib
%define mandriva_arch %_target_cpu
%define mandriva_os %_target_os
%define realversion %version
%define mdkver %(echo %version)00
%define macrofile %build_sysmacrospath

Summary:	UPLOS release file
Name:		uplos-release
Version:	%version
Release:	%mkrel %rel
License:	GPL
URL:		http://www.liberainformatica.it/forum/forumdisplay.php?fid=25
Group:		System/Configuration/Other
Source:		%name.tar.xz
Source1:	10%name.sh
Source2:	10%name.csh
Obsoletes:	rawhide-release redhat-release mandrake-release mandrakelinux-release mandriva-release mandriva-release-One pclinuxos-release 
BuildRoot:	%{_tmppath}/%{name}-root
Provides:	mandriva-release uplos-release


%description
UPLOS Linux release file.

%prep
%setup -q -n %{name}

# check that CREDITS file is in UTF-8, fail otherwise
if iconv -f utf-8 -t utf-8 < CREDITS > /dev/null
then
	true
else
	echo "the CREDITS file *MUST* be encoded in UTF-8"
	echo "please fix it before continuing"
	false
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/etc
echo "UPLOS release %{realversion} (%{distrib}) for %{_target_cpu}" > $RPM_BUILD_ROOT/etc/uplos-release
ln -sf uplos-release $RPM_BUILD_ROOT/etc/release
ln -sf uplos-release $RPM_BUILD_ROOT/etc/mandriva-release
ln -sf uplos-release $RPM_BUILD_ROOT/etc/uplos-release
echo "%{version} %{rel} %{distname}" > $RPM_BUILD_ROOT/etc/version

cat > %buildroot/etc/product.id << EOF
%product_id
EOF

mkdir -p %buildroot%_sys_macros_dir
cat > %buildroot%macrofile <<EOF
%%distribution      %distribution
%%mandriva_release  %mandriva_release
%%mandriva_branch   %mandriva_branch
%%mandriva_arch     %mandriva_arch
%%mandriva_os       %mandriva_os
%%mandriva_class    %%(. %_sysconfdir/sysconfig/system; echo \$META_CLASS)
%%mdkver            %mdkver
%%mdvver            %mdkver
%%mdkversion        %mdkver
%%distsuffix        %distsuffix

# productid variable
%%product_id %product_id

%%product_vendor        %product_vendor
%%product_distribution  %product_distribution
%%product_type          %product_type
%%product_version       %product_version
%%product_branch        %product_branch
%%product_release       %product_release
%%product_arch          %product_arch
%%product_product       %product_product

%{?unstable}
EOF

##temp hack make the rpmbuild system happy
ln -sf %macrofile $RPM_BUILD_ROOT/etc/rpm/macros.d/mandriva-release.macros

mkdir -p %buildroot/etc/sysconfig
cat > %buildroot/etc/sysconfig/system <<EOF
CLASS=beginner
SECURITY=3
LIBSAFE=no
META_CLASS=desktop
EOF

mkdir -p %buildroot%_sysconfdir/profile.d
install -m755 %SOURCE1 %SOURCE2 %buildroot%_sysconfdir/profile.d


%clean
rm -rf $RPM_BUILD_ROOT


%pre
rm -rf /etc/sysconfig/system

%posttrans
if [ ! -f /etc/sysconfig/system ]; then
cat > /etc/sysconfig/system <<EOF
CLASS=beginner
SECURITY=3
LIBSAFE=no
META_CLASS=desktop
EOF
fi

%files
%defattr(-,root,root)
%doc CREDITS release-notes.txt
/etc/mandriva-release
/etc/uplos-release
/etc/release
/etc/version
/etc/product.id
/etc/profile.d/10%name.sh
/etc/profile.d/10%name.csh
/etc/sysconfig/system
/etc/rpm/macros.d//mandriva-release.macros
%macrofile



%changelog
* Wed Dec 13 2017 adrianomorselli <adrianomorselli> 2018-1uplos2017

* Thu Jan 19 2017 adrianomoraelli <adrianomorselli> 2017-3uplos2017
- rebuild and removed pclos-redhat-mandrake reference (but not mandriva)

* Mon Jan 16 2017 adrianomorselli <adrianomorselli> 2017-2uplos2017
- update to 2017 and fix year
